Page MenuHomePhabricator

Link to anti-spam measures from the default mainpage
Closed, ResolvedPublic

Description

MediaWiki is a common target for spam bots, and new installations can get quickly spamed if wiki owners don't set up extensions to trap that kind of spam.

I think a good idea is to link Manual:Combating spam from mainpagedocfooter. It could at least attract attention on this issue and site owners could be warned about that.

Details

Related Gerrit Patches:

Event Timeline

Ciencia_Al_Poder raised the priority of this task from to Needs Triage.
Ciencia_Al_Poder updated the task description. (Show Details)
Ciencia_Al_Poder added a subscriber: Ciencia_Al_Poder.

Would love to have input from the release team here (CC'ing by adding that project, might even be installer territory instead of General MW?)
Personally I wouldn't want to put too many items there but on the other hand if this is a common issue I'm wondering if there are already thoughts to give anti-spam info more exposure to maintainers.

Aklapper triaged this task as Low priority.Dec 28 2014, 11:40 PM

I think a good idea is to link Manual:Combating spam from mainpagedocfooter.

@Ciencia_Al_Poder: Pardon my ignorance, but reading "default mainpage":

  • Should that mean in the installer?
  • Should that mean in the footer on any page but only for admins?
  • Should that mean in the footer on any page but for every user of that wiki?

I think a good idea is to link Manual:Combating spam from mainpagedocfooter.

@Ciencia_Al_Poder: Pardon my ignorance, but reading "default mainpage":

  • Should that mean in the installer?
  • Should that mean in the footer on any page but only for admins?
  • Should that mean in the footer on any page but for every user of that wiki?

The default mainpage looks like http://social-tools.wmflabs.org/w/index.php?title=Main_Page&oldid=1 It's automatically added by the installer.

greg added a subscriber: greg.Feb 5 2015, 11:30 PM

FYI: https://translatewiki.net/wiki/MediaWiki:Mainpagedocfooter has been deleted as no longer needed.

I personally think the link should not be added to the footer and instead be made more prominent during the installation process and in the README online documentation. A link added to default footer will never* be removed by most admins (where "never" == hardly ever, the power of defaults and all that).

FYI: https://translatewiki.net/wiki/MediaWiki:Mainpagedocfooter has been deleted as no longer needed.

True, as it's routinely done for all MediaWiki messages that have not been edited and match the default message. That doesn't mean nothing. The message is in use on every new MediaWiki installation.

I personally think the link should not be added to the footer and instead be made more prominent during the installation process and in the README online documentation. A link added to default footer will never* be removed by most admins (where "never" == hardly ever, the power of defaults and all that).

Don't pay too much attention to the "footer" part of the message name. The contents are displayed on the main page of every new MediaWiki installation, at the very top of the page. I don't know why "footer" appears there, I suppose that's because it's just below the header (?). Even if it's not removed (I saw several wikis maintain those links after weeks from being set up) my guess is that they'll be noticed at least.

The installer is a good alternative (or even complementary), although I don't know if the installer is used always (bitnami and other installations, or web hostings providing standard software packages, etc)

greg added a comment.Feb 6 2015, 5:41 PM

FYI: https://translatewiki.net/wiki/MediaWiki:Mainpagedocfooter has been deleted as no longer needed.

True, as it's routinely done for all MediaWiki messages that have not been edited and match the default message. That doesn't mean nothing. The message is in use on every new MediaWiki installation.

Ah, thanks :)

I personally think the link should not be added to the footer and instead be made more prominent during the installation process and in the README online documentation. A link added to default footer will never* be removed by most admins (where "never" == hardly ever, the power of defaults and all that).

Don't pay too much attention to the "footer" part of the message name. The contents are displayed on the main page of every new MediaWiki installation, at the very top of the page. I don't know why "footer" appears there, I suppose that's because it's just below the header (?). Even if it's not removed (I saw several wikis maintain those links after weeks from being set up) my guess is that they'll be noticed at least.

Another thanks :). I retract most of my statements then.

The installer is a good alternative (or even complementary), although I don't know if the installer is used always (bitnami and other installations, or web hostings providing standard software packages, etc)

If the installer isn't used in the case of eg bitnami or dreamhost or whatever then I wouldn't worry about that too much; those places' job is to set it up to maximize the utility for their customers/users. We should encourage them to do it right from the beginning (and they probably have their own home-grown system for automating the install).

Change 248568 had a related patch set uploaded (by saper):
Install link to Manual:Combating_spam on the home page

https://gerrit.wikimedia.org/r/248568

Change 248568 merged by jenkins-bot:
Install link to Manual:Combating_spam on the home page

https://gerrit.wikimedia.org/r/248568

I'm guessing you want to backport this to REL1_26?

saper added a subscriber: saper.Oct 28 2015, 1:39 PM

Shall I add a RELEASE NOTES entry?

This would affect only new wikis, existing wikis will have the main page already populated, and nothing will change for them.

I see A LOT of changesets that add or remove functionality worth mentioning in release notes, or DefaultSettings.php variables, that are actively merged without a release notes entry (nor a follow-up commit for that), so I'd say that shouldn't be necessary for this case, since existing installations won't be affected.

One reason not to add notes at the release time is that git has trouble merging simple line additions like this and it generates lots of conflicts.

Aklapper closed this task as Resolved.Aug 11 2017, 9:41 AM
Aklapper assigned this task to saper.

I assume this can be closed as resolved, as https://gerrit.wikimedia.org/r/248568 is merged.